- hosts: all
  tasks:
    - name: Add an apt key by id from a keyserver
      become: true
      ansible.builtin.apt_key:
        id: 68576280
        url: "https://keyserver.ubuntu.com/pks/lookup?op=get&fingerprint=on&search=0x1655A0AB68576280"
        state: present

    - name: Add nodejs into sources list
      become: true
      ansible.builtin.apt_repository:
        repo: deb https://deb.nodesource.com/node_16.x focal main
        state: present
        filename: nodesource

    - name: Install nodejs
      become: true
      apt:
        name: nodejs

    - name: Initialize project
      ansible.builtin.shell: npm init -y 
      args:
        chdir: /vagrant
        creates: package.json

    - name: Install express
      ansible.builtin.shell: npm install express --save